Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023825
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-05-15 11:132013-06-03 12:27
ReporterjecharriView Statuspublic 
Assigned Tomarvintm 
PriorityurgentResolutionfixedFixed in VersionRMP23
StatusclosedFix in branchFixed in SCM revision24cf942537ae
ProjectionnoneETAnoneTarget VersionRMP23
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRMP22SCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0023825: Error in Product sale while its quantity is in decimal

DescriptionError in Product sale while its quantity is in decimal
Steps To Reproduce-Create a product with expiration date attribute as mandatory
-create a physical inventory and add 1 unit to stock
-do a sales with qty 0.3 in web POS
The first time it works.

Try to do again and you will see that it is impossible to complete the sales because the order keeps in "Error while importing POS data".
Proposed SolutionThe problem is the table m_stock_proposed

-Column quantity is numeric in database and integer in the Application dictionary

Also it is necessary to change the OrderLoader classs:
if (pendingQty.compareTo(new BigDecimal(stock.getQuantity())) > 0) {
 qty = new BigDecimal(stock.getQuantity());
 pendingQty = pendingQty.subtract(qty);
} else {

to

if (pendingQty.compareTo(stock.getQuantity()) > 0) {
 qty = stock.getQuantity();
 pendingQty = pendingQty.subtract(qty);
} else {
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0058720)
hgbot (developer)
2013-05-21 12:11

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 24cf942537aeae86776abef04a1a3ca6c9b2ec8a
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue May 21 12:11:16 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/24cf942537aeae86776abef04a1a3ca6c9b2ec8a [^]

Fixed issue 23825. Qty will be read as a bigdecimal if possible to avoid problems with decimal numbers

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---
(0058721)
hgbot (developer)
2013-05-21 12:13

Repository: erp/devel/pi
Changeset: a9613416cdd7343a099a9a4150b963bc8783595e
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue May 21 12:12:36 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/a9613416cdd7343a099a9a4150b963bc8783595e [^]

Fixed issue 23825. Changed reference of qty cols in M_StockProposed from Integer to Number

---
M src-db/database/sourcedata/AD_COLUMN.xml
---
(0058841)
hudsonbot (developer)
2013-05-23 01:34

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/97c7f6256af7 [^]

Maturity status: Test
(0058869)
hgbot (developer)
2013-05-23 07:52

Repository: erp/pmods/org.openbravo.retail.posterminal.ch
Changeset: 24cf942537aeae86776abef04a1a3ca6c9b2ec8a
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue May 21 12:11:16 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.ch/rev/24cf942537aeae86776abef04a1a3ca6c9b2ec8a [^]

Fixed issue 23825. Qty will be read as a bigdecimal if possible to avoid problems with decimal numbers

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---
(0058900)
guilleaer (developer)
2013-05-23 12:33

verified
(0059031)
hgbot (developer)
2013-05-29 12:19

Repository: erp/pmods/org.openbravo.retail.posterminal.multiorder
Changeset: 24cf942537aeae86776abef04a1a3ca6c9b2ec8a
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue May 21 12:11:16 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/24cf942537aeae86776abef04a1a3ca6c9b2ec8a [^]

Fixed issue 23825. Qty will be read as a bigdecimal if possible to avoid problems with decimal numbers

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---

- Issue History
Date Modified Username Field Change
2013-05-15 11:13 jecharri New Issue
2013-05-15 11:13 jecharri Assigned To => marvintm
2013-05-21 12:11 hgbot Checkin
2013-05-21 12:11 hgbot Note Added: 0058720
2013-05-21 12:12 hgbot Status new => resolved
2013-05-21 12:12 hgbot Resolution open => fixed
2013-05-21 12:12 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/24cf942537aeae86776abef04a1a3ca6c9b2ec8a [^]
2013-05-21 12:13 hgbot Checkin
2013-05-21 12:13 hgbot Note Added: 0058721
2013-05-21 12:13 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/24cf942537aeae86776abef04a1a3ca6c9b2ec8a [^] => http://code.openbravo.com/erp/devel/pi/rev/a9613416cdd7343a099a9a4150b963bc8783595e [^]
2013-05-23 01:34 hudsonbot Checkin
2013-05-23 01:34 hudsonbot Note Added: 0058841
2013-05-23 07:52 hgbot Checkin
2013-05-23 07:52 hgbot Note Added: 0058869
2013-05-23 07:52 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/a9613416cdd7343a099a9a4150b963bc8783595e [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.ch/rev/24cf942537aeae86776abef04a1a3ca6c9b2ec8a [^]
2013-05-23 12:33 guilleaer Review Assigned To => guilleaer
2013-05-23 12:33 guilleaer Note Added: 0058900
2013-05-23 12:33 guilleaer Status resolved => closed
2013-05-23 12:33 guilleaer Fixed in Version => RMP23
2013-05-29 12:19 hgbot Checkin
2013-05-29 12:19 hgbot Note Added: 0059031
2013-05-29 12:19 hgbot Status closed => resolved
2013-05-29 12:19 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.ch/rev/24cf942537aeae86776abef04a1a3ca6c9b2ec8a [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/24cf942537aeae86776abef04a1a3ca6c9b2ec8a [^]
2013-06-03 12:27 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker